include:
- template: Security/SAST.gitlab-ci.yml

stages:
  - "build"
  - "test"

build:
  image: quay.io/podman/stable
  stage: build
  before_script:
    - echo "$CI_REGISTRY_PASSWORD" | podman login -u "$CI_REGISTRY_USER" "$CI_REGISTRY" --password-stdin
  script:
    - podman build -t $CI_REGISTRY_IMAGE:latest -t $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG .
    - podman push $CI_REGISTRY_IMAGE:latest $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG
  rules:
  - if: $CI_COMMIT_TAG
  
sast:
  stage: test



build_test:
  image: quay.io/podman/stable
  stage: build
  before_script:
    - echo "$CI_REGISTRY_PASSWORD" | podman login -u "$CI_REGISTRY_USER" "$CI_REGISTRY" --password-stdin
  script:
    - podman build -t $CI_REGISTRY_IMAGE:test .
    - podman push $CI_REGISTRY_IMAGE:test
  rules:
  - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
    changes: 
    - "**/*.py"
    - "Dockerfile"

test_code:
  image: python
  stage: test
  variables:
    CLOUDFLARE_API_KEY: $CLOUDFLARE_API_TOKEN
    WEBSITES: "test.luukrost.com"
    ALLOW_CREATE_RECORD: "true"
    ALLOW_DELETE_RECORD: "false"
  before_script:
    - pip install -r requirements.txt
  script:
    - python main.py
  rules:
  - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
    changes:
    - "**/*.py"
    - "Dockerfile"